aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-10-26 19:19:22 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-10-26 19:47:58 +0200
commitc18b35140d6160530980ddae341d9aa45fe118fa (patch)
treef4aa7bd122e37e0968aaf9f740fa45e82c7ec72a /community
parentd6529c8d14d870c966dc74c3008cdce15dabb7c5 (diff)
downloadaports-c18b35140d6160530980ddae341d9aa45fe118fa.tar.gz
aports-c18b35140d6160530980ddae341d9aa45fe118fa.tar.bz2
aports-c18b35140d6160530980ddae341d9aa45fe118fa.tar.xz
[various] rename python executable in APKBUILDs to python2
Diffstat (limited to 'community')
-rw-r--r--community/arandr/APKBUILD2
-rw-r--r--community/asoundconf/APKBUILD4
-rw-r--r--community/beets/APKBUILD4
-rw-r--r--community/bzr/APKBUILD4
-rw-r--r--community/certbot/APKBUILD8
-rw-r--r--community/drbdmanage/APKBUILD6
-rw-r--r--community/glances/APKBUILD4
-rw-r--r--community/libteam/APKBUILD4
-rw-r--r--community/nxapi/APKBUILD4
-rw-r--r--community/obnam/APKBUILD4
-rw-r--r--community/py-argh/APKBUILD4
-rw-r--r--community/py-configobj/APKBUILD4
-rw-r--r--community/py-crcmod/APKBUILD4
-rw-r--r--community/py-dialog/APKBUILD4
-rw-r--r--community/py-distutils-extra/APKBUILD4
-rw-r--r--community/py-django-appconf/APKBUILD4
-rw-r--r--community/py-django-compressor/APKBUILD4
-rw-r--r--community/py-django1.5/APKBUILD4
-rw-r--r--community/py-ethtool/APKBUILD2
-rw-r--r--community/py-gpiozero/APKBUILD4
-rw-r--r--community/py-graphviz/APKBUILD4
-rw-r--r--community/py-ipaddr/APKBUILD2
-rw-r--r--community/py-jellyfish/APKBUILD4
-rw-r--r--community/py-livereload/APKBUILD4
-rw-r--r--community/py-markdown/APKBUILD4
-rw-r--r--community/py-ndg_httpsclient/APKBUILD4
-rw-r--r--community/py-numpy/APKBUILD4
-rw-r--r--community/py-opengl-accelerate/APKBUILD4
-rw-r--r--community/py-parsedatetime/APKBUILD4
-rw-r--r--community/py-pathtools/APKBUILD4
-rw-r--r--community/py-pyldap/APKBUILD2
-rw-r--r--community/py-rencode/APKBUILD4
-rw-r--r--community/py-rpigpio/APKBUILD4
-rw-r--r--community/py-rtslib/APKBUILD2
-rw-r--r--community/py-sensehat/APKBUILD4
-rw-r--r--community/py-setproctitle/APKBUILD2
-rw-r--r--community/py-skywriter-hat/APKBUILD4
-rw-r--r--community/py-sphinx-autobuild/APKBUILD4
-rw-r--r--community/py-udev/APKBUILD4
-rw-r--r--community/py-watchdog/APKBUILD4
-rw-r--r--community/py-zipstream/APKBUILD2
-rw-r--r--community/py-zope-component/APKBUILD4
-rw-r--r--community/py-zope-event/APKBUILD4
-rw-r--r--community/targetcli/APKBUILD4
-rw-r--r--community/terminator/APKBUILD4
-rw-r--r--community/virt-manager/APKBUILD4
-rw-r--r--community/virtualbricks/APKBUILD4
-rw-r--r--community/volatility/APKBUILD4
-rw-r--r--community/xapian-bindings/APKBUILD2
-rw-r--r--community/xpra/APKBUILD4
-rw-r--r--community/youtube-dl/APKBUILD2
51 files changed, 96 insertions, 96 deletions
diff --git a/community/arandr/APKBUILD b/community/arandr/APKBUILD
index c1f5cc310a..f2f5af45c6 100644
--- a/community/arandr/APKBUILD
+++ b/community/arandr/APKBUILD
@@ -31,7 +31,7 @@ build() {
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="d53faecdc02292b648f554658d9bd99e arandr-0.1.9.tar.gz"
diff --git a/community/asoundconf/APKBUILD b/community/asoundconf/APKBUILD
index 40715ce73e..c3f0c443c1 100644
--- a/community/asoundconf/APKBUILD
+++ b/community/asoundconf/APKBUILD
@@ -18,12 +18,12 @@ builddir="$srcdir"/stativ-$pkgname-01a1f5320b0a
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install \
+ python2 setup.py install \
--prefix=/usr \
--root="$pkgdir" \
--optimize=1 || return 1
diff --git a/community/beets/APKBUILD b/community/beets/APKBUILD
index f9ec14262e..f5d10826c2 100644
--- a/community/beets/APKBUILD
+++ b/community/beets/APKBUILD
@@ -29,12 +29,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="8ad412605bde0c65ee928429e8bebe8f beets-1.3.18.tar.gz"
diff --git a/community/bzr/APKBUILD b/community/bzr/APKBUILD
index b9e1e37a99..e70d0e20ac 100644
--- a/community/bzr/APKBUILD
+++ b/community/bzr/APKBUILD
@@ -14,12 +14,12 @@ source="http://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgna
_builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir" || return 1
+ python2 setup.py install --root="$pkgdir" || return 1
}
doc() {
diff --git a/community/certbot/APKBUILD b/community/certbot/APKBUILD
index 9ee201dbcf..37a8a7b824 100644
--- a/community/certbot/APKBUILD
+++ b/community/certbot/APKBUILD
@@ -25,20 +25,20 @@ source="certbot-$pkgver.tar.gz::https://github.com/certbot/certbot/archive/v$pkg
_builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
acme() {
pkgdesc="ACME protocol implementation for Python"
depends="$_depends_acme"
cd "$_builddir"/acme
- python setup.py build || return 1
- python setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+ python2 setup.py build || return 1
+ python2 setup.py install --prefix=/usr --root="$subpkgdir" || return 1
}
md5sums="23920103accbed8adc6e7e30b14581e2 certbot-0.9.3.tar.gz"
diff --git a/community/drbdmanage/APKBUILD b/community/drbdmanage/APKBUILD
index 2177cadc9a..95f5cdccdd 100644
--- a/community/drbdmanage/APKBUILD
+++ b/community/drbdmanage/APKBUILD
@@ -29,13 +29,13 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build_man || return 1
- python setup.py build || return 1
+ python2 setup.py build_man || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="2598d5c451012223aaedbbf18ff985f3 drbdmanage-0.95.tar.gz
diff --git a/community/glances/APKBUILD b/community/glances/APKBUILD
index f018f883f0..4d1d70cfab 100644
--- a/community/glances/APKBUILD
+++ b/community/glances/APKBUILD
@@ -17,12 +17,12 @@ source="glances-$pkgver.tar.gz::https://github.com/nicolargo/glances/archive/v$p
builddir="$srcdir"/glances-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
# Remove images and HTML doc depending on those
rm -rf "$pkgdir"/usr/share/doc/$pkgname/$pkgname-doc.html \
diff --git a/community/libteam/APKBUILD b/community/libteam/APKBUILD
index 0f0d32fc1a..d7e721f135 100644
--- a/community/libteam/APKBUILD
+++ b/community/libteam/APKBUILD
@@ -46,11 +46,11 @@ py() {
cd "$_builddir"
cp -ar binding/python binding/python3 || return 1
cd binding/python
- python ./setup.py build || return 1
+ python2 ./setup.py build || return 1
cd ../python3
python3 ./setup.py build || return 1
cd binding/python
- python ./setup.py install --root "$subpkgdir" -O1 || return 1
+ python2 ./setup.py install --root "$subpkgdir" -O1 || return 1
cd ../python3
python3 ./setup.py install --root "$subpkgdir" -O1 || return 1
}
diff --git a/community/nxapi/APKBUILD b/community/nxapi/APKBUILD
index 96a2307669..bc56c14900 100644
--- a/community/nxapi/APKBUILD
+++ b/community/nxapi/APKBUILD
@@ -31,12 +31,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="1bc31058991268e4cfdb44e9b6d8b3b3 naxsi-0.54.tar.gz
diff --git a/community/obnam/APKBUILD b/community/obnam/APKBUILD
index 0f6b0c8057..14ac318c6f 100644
--- a/community/obnam/APKBUILD
+++ b/community/obnam/APKBUILD
@@ -17,12 +17,12 @@ source="http://code.liw.fi/debian/pool/main/o/$pkgname/${pkgname}_$pkgver.orig.t
builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr \
+ python2 setup.py install --prefix=/usr \
--root="$pkgdir" || return 1
}
diff --git a/community/py-argh/APKBUILD b/community/py-argh/APKBUILD
index f063bb44f6..dbe4c55c18 100644
--- a/community/py-argh/APKBUILD
+++ b/community/py-argh/APKBUILD
@@ -28,12 +28,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="edda25f3f0164a963dd89c0e3c619973 argh-0.26.2.tar.gz"
diff --git a/community/py-configobj/APKBUILD b/community/py-configobj/APKBUILD
index e4bdd50820..924d506f43 100644
--- a/community/py-configobj/APKBUILD
+++ b/community/py-configobj/APKBUILD
@@ -17,13 +17,13 @@ builddir="$srcdir"/$_realname-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
python3 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --root=$pkgdir/ --optimize=1 || return 1
+ python2 setup.py install --root=$pkgdir/ --optimize=1 || return 1
python3 setup.py install --root=$pkgdir/ --optimize=1 || return 1
}
diff --git a/community/py-crcmod/APKBUILD b/community/py-crcmod/APKBUILD
index c3229c8cd1..211eec39ad 100644
--- a/community/py-crcmod/APKBUILD
+++ b/community/py-crcmod/APKBUILD
@@ -25,12 +25,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
}
md5sums="2d5b92117d958dcead94f9e17f54cd32 crcmod-1.7.tar.gz"
diff --git a/community/py-dialog/APKBUILD b/community/py-dialog/APKBUILD
index 97b111d358..41f889d08e 100644
--- a/community/py-dialog/APKBUILD
+++ b/community/py-dialog/APKBUILD
@@ -28,12 +28,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="4fbea2c8d211c2bd49f239d76af4428e python2-pythondialog-3.3.0.tar.bz2"
diff --git a/community/py-distutils-extra/APKBUILD b/community/py-distutils-extra/APKBUILD
index 620dada488..460c981120 100644
--- a/community/py-distutils-extra/APKBUILD
+++ b/community/py-distutils-extra/APKBUILD
@@ -25,12 +25,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir" || return 1
+ python2 setup.py install --root="$pkgdir" || return 1
}
md5sums="16e06db0ef73a35b4bff4b9eed5699b5 python-distutils-extra-2.39.tar.gz"
diff --git a/community/py-django-appconf/APKBUILD b/community/py-django-appconf/APKBUILD
index 8f16f71d9a..ed1216cd41 100644
--- a/community/py-django-appconf/APKBUILD
+++ b/community/py-django-appconf/APKBUILD
@@ -24,12 +24,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build
+ python2 setup.py build
}
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir"
+ python2 setup.py install --root "$pkgdir"
}
md5sums="29c87a00f0d098b90f3ac6113ae6e52d django-appconf-1.0.1.tar.gz"
diff --git a/community/py-django-compressor/APKBUILD b/community/py-django-compressor/APKBUILD
index abd1127c0a..49e156fa7f 100644
--- a/community/py-django-compressor/APKBUILD
+++ b/community/py-django-compressor/APKBUILD
@@ -24,12 +24,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build
+ python2 setup.py build
}
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir"
+ python2 setup.py install --root "$pkgdir"
}
md5sums="274dd82a45ddd13e111852dd101a5924 django_compressor-1.5.tar.gz"
diff --git a/community/py-django1.5/APKBUILD b/community/py-django1.5/APKBUILD
index 225052687c..7929813d61 100644
--- a/community/py-django1.5/APKBUILD
+++ b/community/py-django1.5/APKBUILD
@@ -18,12 +18,12 @@ source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname
_builddir="$srcdir"/$_pkgname-$pkgver
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir" || return 1
+ python2 setup.py install --root "$pkgdir" || return 1
}
md5sums="0e0b48cd0bb59cbc5499dcbb4fe1fb90 Django-1.5.12.tar.gz"
diff --git a/community/py-ethtool/APKBUILD b/community/py-ethtool/APKBUILD
index 7fbd66e2a4..a5e1332993 100644
--- a/community/py-ethtool/APKBUILD
+++ b/community/py-ethtool/APKBUILD
@@ -38,7 +38,7 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- # python setup.py install --root="$pkgdir"
+ # python2 setup.py install --root="$pkgdir"
}
md5sums="2d13e2412948344b8375f5af4ced1c20 python-ethtool-0.7.tar.bz2
diff --git a/community/py-gpiozero/APKBUILD b/community/py-gpiozero/APKBUILD
index c3a9451038..15a37b5f2c 100644
--- a/community/py-gpiozero/APKBUILD
+++ b/community/py-gpiozero/APKBUILD
@@ -19,12 +19,12 @@ _builddir=${srcdir}/${_pkgname}-${pkgver}
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="082fc277ab07fbf68397f75ed50ebb61 python-gpiozero-1.1.0.tar.gz"
diff --git a/community/py-graphviz/APKBUILD b/community/py-graphviz/APKBUILD
index f68dd05097..b3b37103d4 100644
--- a/community/py-graphviz/APKBUILD
+++ b/community/py-graphviz/APKBUILD
@@ -29,12 +29,12 @@ prepare() {
build() {
cd "$_builddir"
export PYTHON=python2.7
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="91f6d57dfc63cefa12c38eba3f09db09 pygraphviz-1.3rc2.tar.gz"
diff --git a/community/py-ipaddr/APKBUILD b/community/py-ipaddr/APKBUILD
index 57438d5891..e3a008b5e7 100644
--- a/community/py-ipaddr/APKBUILD
+++ b/community/py-ipaddr/APKBUILD
@@ -27,7 +27,7 @@ build() {
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python2 setup.py install --root="$pkgdir"
}
md5sums="f2c7852f95862715f92e7d089dc3f2cf ipaddr-2.1.11.tar.gz"
diff --git a/community/py-jellyfish/APKBUILD b/community/py-jellyfish/APKBUILD
index fa2572c4fd..c87cc59d2a 100644
--- a/community/py-jellyfish/APKBUILD
+++ b/community/py-jellyfish/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="dc73e534a0f85296eb300d591d873238 jellyfish-0.5.6.tar.gz"
diff --git a/community/py-livereload/APKBUILD b/community/py-livereload/APKBUILD
index b3a3e75c32..74365ac5b4 100644
--- a/community/py-livereload/APKBUILD
+++ b/community/py-livereload/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="d6125f3dce2ef000ca50b3121eb2de81 python-livereload-2.4.1.tar.gz"
diff --git a/community/py-markdown/APKBUILD b/community/py-markdown/APKBUILD
index 452280956e..175246d460 100644
--- a/community/py-markdown/APKBUILD
+++ b/community/py-markdown/APKBUILD
@@ -19,13 +19,13 @@ builddir="$srcdir"/$_pkgname-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
python3 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --root=$pkgdir/ --optimize=1 || return 1
+ python2 setup.py install --root=$pkgdir/ --optimize=1 || return 1
python3 setup.py install --root=$pkgdir/ --optimize=1 || return 1
}
diff --git a/community/py-ndg_httpsclient/APKBUILD b/community/py-ndg_httpsclient/APKBUILD
index a917c4d5c8..1fe2f7fbf8 100644
--- a/community/py-ndg_httpsclient/APKBUILD
+++ b/community/py-ndg_httpsclient/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="b7577b1eaa2a25915c7a963e0d2f80a5 ndg_httpsclient-0.4.0.tar.gz"
diff --git a/community/py-numpy/APKBUILD b/community/py-numpy/APKBUILD
index 99c17228f4..aad9f3b994 100644
--- a/community/py-numpy/APKBUILD
+++ b/community/py-numpy/APKBUILD
@@ -33,13 +33,13 @@ build() {
cd "$_builddir"
export Atlas=None
LDFLAGS="$LDFLAGS -shared"
- python setup.py build config_fc --fcompiler=gnu95 || return 1
+ python2 setup.py build config_fc --fcompiler=gnu95 || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" config_fc --fcompiler=gnu95 || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" config_fc --fcompiler=gnu95 || return 1
install -m755 -d "$pkgdir"/usr/share/licenses/custom/$pkgname
install -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/custom/$pkgname/LICENSE
}
diff --git a/community/py-opengl-accelerate/APKBUILD b/community/py-opengl-accelerate/APKBUILD
index c0006aaec7..1b83e8043a 100644
--- a/community/py-opengl-accelerate/APKBUILD
+++ b/community/py-opengl-accelerate/APKBUILD
@@ -18,12 +18,12 @@ source="https://files.pythonhosted.org/packages/source/P/PyOpenGL-accelerate/$_p
builddir="$srcdir"/$_pkgreal
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="04e52af352dd078275a2d5720c4afea2 PyOpenGL-accelerate-3.1.1a1.tar.gz"
diff --git a/community/py-parsedatetime/APKBUILD b/community/py-parsedatetime/APKBUILD
index 64e4ed194a..232a2a7f05 100644
--- a/community/py-parsedatetime/APKBUILD
+++ b/community/py-parsedatetime/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="f7b6b8258728ca9aa2ef536b3f221baf parsedatetime-1.5.tar.gz"
diff --git a/community/py-pathtools/APKBUILD b/community/py-pathtools/APKBUILD
index bb3638eddd..a5c6ed4026 100644
--- a/community/py-pathtools/APKBUILD
+++ b/community/py-pathtools/APKBUILD
@@ -15,12 +15,12 @@ builddir="$srcdir/$_pkgname-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="9a1af5c605768ea5804b03b734ff0f82 py-pathtools-0.1.2.tar.gz"
diff --git a/community/py-pyldap/APKBUILD b/community/py-pyldap/APKBUILD
index ca755c2e27..8e50840bff 100644
--- a/community/py-pyldap/APKBUILD
+++ b/community/py-pyldap/APKBUILD
@@ -19,7 +19,7 @@ builddir="$srcdir/$_pkgname-$_pkgname-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
python3 setup.py build
}
diff --git a/community/py-rencode/APKBUILD b/community/py-rencode/APKBUILD
index 066e34e121..c3c2bbaa8a 100644
--- a/community/py-rencode/APKBUILD
+++ b/community/py-rencode/APKBUILD
@@ -19,12 +19,12 @@ builddir="$srcdir"/$_pkgname-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="3bdbec5c50d845e5367ba53c5b85d1a4 py-rencode-1.0.5.tar.gz"
diff --git a/community/py-rpigpio/APKBUILD b/community/py-rpigpio/APKBUILD
index edeaf5efc6..60bf781010 100644
--- a/community/py-rpigpio/APKBUILD
+++ b/community/py-rpigpio/APKBUILD
@@ -15,12 +15,12 @@ builddir="$srcdir/$_pkgname-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="9db86fd5f3bae872de9dbb068ee0b096 py-rpigpio-0.6.2.tar.gz"
diff --git a/community/py-rtslib/APKBUILD b/community/py-rtslib/APKBUILD
index 528db11ea9..0bbad6161e 100644
--- a/community/py-rtslib/APKBUILD
+++ b/community/py-rtslib/APKBUILD
@@ -55,7 +55,7 @@ build() {
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python2 setup.py install --root="$pkgdir"
# install -D -m644 specs/ib_srpt.spec $pkgdir/var/lib/target/fabric/ib_srpt.spec
# install -D -m644 specs/iscsi.spec $pkgdir/var/lib/target/fabric/iscsi.spec
# install -D -m644 specs/loopback.spec $pkgdir/var/lib/target/fabric/loopback.spec
diff --git a/community/py-sensehat/APKBUILD b/community/py-sensehat/APKBUILD
index 291545cbff..f4871c9f1b 100644
--- a/community/py-sensehat/APKBUILD
+++ b/community/py-sensehat/APKBUILD
@@ -19,12 +19,12 @@ _builddir=${srcdir}/${_pkgname}-${pkgver}
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="eec4a6d9d718232f69475f17cd3864c2 python-sense-hat-2.1.0.tar.gz"
diff --git a/community/py-setproctitle/APKBUILD b/community/py-setproctitle/APKBUILD
index 7536535a8e..96c3617e65 100644
--- a/community/py-setproctitle/APKBUILD
+++ b/community/py-setproctitle/APKBUILD
@@ -17,7 +17,7 @@ builddir="$srcdir/$pkgname-version-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
python3 setup.py build
}
diff --git a/community/py-skywriter-hat/APKBUILD b/community/py-skywriter-hat/APKBUILD
index 1ae702cf04..b055d5f3ad 100644
--- a/community/py-skywriter-hat/APKBUILD
+++ b/community/py-skywriter-hat/APKBUILD
@@ -17,12 +17,12 @@ builddir=${srcdir}/${pkgname#py-}-${pkgver}
build() {
cd "$builddir/python/library"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir/python/library"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="03ef9d123c0add41b9130b99de5d6a51 py-skywriter-hat-0.0.6.tar.gz"
diff --git a/community/py-sphinx-autobuild/APKBUILD b/community/py-sphinx-autobuild/APKBUILD
index 3449156a52..7d6e7d2e68 100644
--- a/community/py-sphinx-autobuild/APKBUILD
+++ b/community/py-sphinx-autobuild/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="afa9cf28690436923921d8a2556ccbe8 sphinx-autobuild-0.6.0.tar.gz"
diff --git a/community/py-udev/APKBUILD b/community/py-udev/APKBUILD
index 4406f7fbc2..2239b84ebb 100644
--- a/community/py-udev/APKBUILD
+++ b/community/py-udev/APKBUILD
@@ -15,12 +15,12 @@ builddir="$srcdir/pyudev-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="e8b28775db6c6eecc2b7389fca96abdf py-udev-0.20.0.tar.gz"
diff --git a/community/py-watchdog/APKBUILD b/community/py-watchdog/APKBUILD
index b9a21c3a98..1debd73985 100644
--- a/community/py-watchdog/APKBUILD
+++ b/community/py-watchdog/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="a5fbff6e21fb665381e4ae1afe3627f9 watchdog-0.8.3.tar.gz"
diff --git a/community/py-zipstream/APKBUILD b/community/py-zipstream/APKBUILD
index 74769d67ce..9657ed63f0 100644
--- a/community/py-zipstream/APKBUILD
+++ b/community/py-zipstream/APKBUILD
@@ -16,7 +16,7 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/allanlei/$_pkgname/archive/v
builddir="$srcdir/$_pkgname-$pkgver"
build() {
cd "$builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
python3 setup.py build || return 1
}
diff --git a/community/py-zope-component/APKBUILD b/community/py-zope-component/APKBUILD
index b1a8362900..a276c2d6a1 100644
--- a/community/py-zope-component/APKBUILD
+++ b/community/py-zope-component/APKBUILD
@@ -28,12 +28,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="8e185893699f9fa577bd9ada0a5302fa zope.component-4.1.0.zip"
diff --git a/community/py-zope-event/APKBUILD b/community/py-zope-event/APKBUILD
index 736989f3f9..f7e4ffb03c 100644
--- a/community/py-zope-event/APKBUILD
+++ b/community/py-zope-event/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="c8d79db625d5411c4777b7ca87b718a6 zope.event-4.2.0.tar.gz"
diff --git a/community/targetcli/APKBUILD b/community/targetcli/APKBUILD
index 35df988f8d..e7e2177fee 100644
--- a/community/targetcli/APKBUILD
+++ b/community/targetcli/APKBUILD
@@ -52,13 +52,13 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
gzip targetcli.8
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir" || return 1
+ python2 setup.py install --root="$pkgdir" || return 1
mkdir -p "$pkgdir"/var/lib/target/fabric
mkdir -p "$pkgdir"/etc/target
install -D -m644 $pkgname.8.gz \
diff --git a/community/terminator/APKBUILD b/community/terminator/APKBUILD
index b408d76241..9f22636aef 100644
--- a/community/terminator/APKBUILD
+++ b/community/terminator/APKBUILD
@@ -27,12 +27,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build
+ python2 setup.py build
}
package() {
cd "$_builddir"
- python setup.py install --skip-build --root="${pkgdir}"
+ python2 setup.py install --skip-build --root="${pkgdir}"
rm -f "${pkgdir}/usr/share/icons/hicolor/icon-theme.cache"
}
diff --git a/community/virt-manager/APKBUILD b/community/virt-manager/APKBUILD
index 45281a88de..b7f957e640 100644
--- a/community/virt-manager/APKBUILD
+++ b/community/virt-manager/APKBUILD
@@ -26,12 +26,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py --no-update-icon-cache --no-compile-schemas \
+ python2 setup.py --no-update-icon-cache --no-compile-schemas \
install --prefix=/usr --root="$pkgdir" \
|| return 1
}
diff --git a/community/virtualbricks/APKBUILD b/community/virtualbricks/APKBUILD
index 23fd8ec3f1..23b31c2877 100644
--- a/community/virtualbricks/APKBUILD
+++ b/community/virtualbricks/APKBUILD
@@ -26,12 +26,12 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="17ae7cddd0572f3f547ff348eadcf690 virtualbricks-1.0.1.tar.gz"
diff --git a/community/volatility/APKBUILD b/community/volatility/APKBUILD
index 29ba39433a..c411511c47 100644
--- a/community/volatility/APKBUILD
+++ b/community/volatility/APKBUILD
@@ -18,12 +18,12 @@ _builddir="$srcdir"/$pkgname-$pkgver
build ()
{
cd "$_builddir"
- python setup.py build || return 1
+ python2 setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir" || return 1
+ python2 setup.py install --root "$pkgdir" || return 1
}
md5sums="8dfe1989c154e00b901b7358f373f4d7 2.5.zip"
diff --git a/community/xapian-bindings/APKBUILD b/community/xapian-bindings/APKBUILD
index c66dee84d7..69ed0d2500 100644
--- a/community/xapian-bindings/APKBUILD
+++ b/community/xapian-bindings/APKBUILD
@@ -45,7 +45,7 @@ build() {
export PERL_LIB=/usr/share/perl5/vendor_perl
export PERL_ARCH=/usr/share/perl5/vendor_perl
export PHP=/usr/bin/php
- export PYTHON=/usr/bin/python
+ export PYTHON=/usr/bin/python2
export PYTHON_LIB=/usr/lib/python2.7/site-packages
export RUBY=/usr/bin/ruby
export RUBY_INC=/usr/include/ruby-2.3.0
diff --git a/community/xpra/APKBUILD b/community/xpra/APKBUILD
index a3a264260d..887f777133 100644
--- a/community/xpra/APKBUILD
+++ b/community/xpra/APKBUILD
@@ -22,7 +22,7 @@ build() {
# https://www.xpra.org/trac/ticket/1080
CFLAGS="$CFLAGS -fno-strict-aliasing"
- python setup.py build \
+ python2 setup.py build \
--with-csc_opencl \
--with-bundle_tests \
|| return 1
@@ -30,7 +30,7 @@ build() {
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
tests() {
diff --git a/community/youtube-dl/APKBUILD b/community/youtube-dl/APKBUILD
index 7a640f42ac..94d44feeff 100644
--- a/community/youtube-dl/APKBUILD
+++ b/community/youtube-dl/APKBUILD
@@ -27,7 +27,7 @@ prepare() {
package() {
cd "$builddir"
- python setup.py install --root="$pkgdir/" --optimize=1 || return 1
+ python2 setup.py install --root="$pkgdir/" --optimize=1 || return 1
install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
}